> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ether Historical Price

> Returns the historical price data for 1 ETH.

export const chain = '1';

<Note>This is a PRO endpoint, available to the [Standard Plan](/rate-limits) and above</Note>

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "UTCDate": "2019-02-01",
        "unixTimeStamp": "1548979200",
        "value": "107.03"
      },
      {
        "UTCDate": "2019-02-02",
        "unixTimeStamp": "1549065600",
        "value": "111.00"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/ethdailyprice.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Ether Historical Price
  version: 2.0.0
  description: Returns the historical price data for 1 ETH.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Ether Historical Price
      description: Returns the historical price data for 1 ETH.
      operationId: getEthdailyprice
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to stats for this endpoint.
          schema:
            type: string
            default: stats
          example: stats
        - name: action
          in: query
          required: true
          description: Set to ethdailyprice for this endpoint.
          schema:
            type: string
            default: ethdailyprice
          example: ethdailyprice
        - name: startdate
          in: query
          required: true
          description: Starting date in yyyy-MM-dd format.
          schema:
            type: string
          example: '2019-02-01'
        - name: enddate
          in: query
          required: true
          description: Ending date in yyyy-MM-dd format.
          schema:
            type: string
          example: '2019-02-28'
        - name: sort
          in: query
          required: false
          description: >-
            Sort order either `desc` for the latest results first or `asc` for
            the oldest results first.
          schema:
            type: string
          example: asc
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: array
                    items:
                      type: object
                      properties:
                        UTCDate:
                          type: string
                          description: Date of the price, in UTC (YYYY-MM-DD).
                        unixTimeStamp:
                          type: string
                          description: >-
                            Start of the UTC date as a UNIX timestamp in
                            seconds.
                        value:
                          type: string
                          description: Price of ether in US dollars on the given day.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````